For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all notes
      • POSTCreate a note
      • GETGet a note
      • PATCHUpdate a note
      • DELDelete a note
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMNotes

Create a note

POST
https://api.brevo.com/v3/crm/notes
POST
/v3/crm/notes
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.notes.createANote({
8 text: "<p>Meeting notes: <b>Action item</b> - visit <a href=\"https://www.brevo.com/\">Brevo</a> for details.</p>",
9 });
10}
11main();
1{
2 "id": "61a5cd07ca1347c82306ad09"
3}
Create a new CRM note and optionally associate it with contacts, companies, or deals. The note text content is required, and you can link the note to multiple entities simultaneously during creation.
Was this page helpful?
Previous

Get a note

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Note data to create a note.
textstringRequired1-10000 characters

Content of the note. Supports HTML for rich text formatting. Supported tags include: <p> (paragraph), <b> / <strong> (bold), <i> / <em> (italic), <u> (underline), <br /> (line break), <a href="..."> (labelled hyperlink). Example labelled link: <a href="https://example.com">Link text</a>.

companyIdslist of stringsOptional
Company Ids linked to a note
contactIdslist of integersOptional
Contact Ids linked to a note
dealIdslist of stringsOptional
Deal Ids linked to a note

Response

Created new note
idstring
Unique note Id

Errors

400
Bad Request Error
415
Unsupported Media Type Error